clear();

pa=1.2929002
pb=5.6333807
pc=3069.5433

dt=0.01;

u_begrenzt_aktuell = 0;  //global, wird in modell und simulation benötigt.

exec einachsermodell.sce;
exec ruku.sce;

//Rauschen:
MITTELWERT = 0.0;
STREUUNG   = 0.001;

exec simulation.sce

//Ergebnisvarianten:
//RR = 28.33612    695.28647    3200.6461    12.687827  (mit leichtem Rauschen, s=0.0001)
//RR = 1.2629642    417.84224    7470.5486    0.3518931  (ohne Rauschen)

//RR = [28.33612,    695.28647,    3200.6461,    12.687827];
RR = [1.2629642,    417.84224,    7470.5486,    0.3518931];

//Testsimulationen durchführen:

y0=[0;0.2;0;0];
t=0:dt:15.0;

y=simulation(RR,y0,t);

plot(t,y(2,:));


a = gca();
a.x_label.text = 't/s';
a.y_label.text = 'phi/rad';
a.title.text = 'Zustandsregler mit Beobachter, reales phi verrauscht';
hl=legend(['phi/rad'],a=1);




